#if defined bf2_powers_included
#endinput
#endif
#define bf2_powers_included

public set_speed( id ) {
	if ( !get_pcvar_num( gPcvar[ BADGESACTIVE ] ) || !get_pcvar_num( gPcvar[ BADGESPOWERS ] ) ) return;
	if ( !is_user_alive( id ) || freezetime ) return;
	
	new Float:speed;
	
	if ( g_imobile[ id ] ) {
		speed = 100.0;
	}
	else {
		if ( cs_get_user_vip( id ) )	{
			speed = 227.0;
		}
		else {
			new weapon = get_user_weapon( id );
			
			speed = gCSWeaponSpeed[ weapon ];
			
			if ( gCurrentFOV[ id ] <= 45 ) {
				switch( weapon ) {
					case CSW_SCOUT: speed = 220.0;
					case CSW_SG550, CSW_AWP, CSW_G3SG1: speed = 150.0;
				}
			}
		}
		
		new Level [ 1 ];
		Level [ 0 ] = g_PlayerBadges[ id ][ BADGE_SMG ];
		if ( Level [ 0 ] ) {
			speed += ( Level [ 0 ] * 15.0 );
		}
	}
	
	if ( speed != fm_get_user_maxspeed( id ) ) {
		fm_set_user_maxspeed( id, speed );
	}
}

public set_invis( id ) {
	if ( !get_pcvar_num( gPcvar[ BADGESACTIVE ] ) || !get_pcvar_num( gPcvar[ BADGESPOWERS ] ) ) return;
	if ( !is_user_alive( id ) ) return;
	
	new Level [ 1 ];
	Level [ 0 ] = g_PlayerBadges[ id ][ BADGE_SHOTGUN ];
	
	if ( Level [ 0 ] && get_user_weapon( id ) == CSW_KNIFE ) {
		fm_set_rendering( id, kRenderFxNone, 0, 0, 0, kRenderTransTexture, gInvisAlphaValue[ Level [ 0 ] - 1 ] );
		g_invis[ id ] = true;
	}
	else {
		fm_set_rendering( id );
		g_invis[ id ] = false;
	}
}

public remove_imobile( id ) {
	g_imobile[ id ] = false;	
	set_speed( id );
}

public give_userweapon( id ) {
	if ( !get_pcvar_num( gPcvar[ BADGESACTIVE ] ) || !get_pcvar_num( gPcvar[ BADGESPOWERS ] ) ) return;
	if ( !is_user_alive( id ) ) return;
	
	new bool:givenitem = false;
	
	new Level [ 3 ]; 
	Level[ 0 ] = g_PlayerBadges[ id ][ BADGE_ASSAULT ];
	if ( Level[ 0 ] ) {
		new hp;
		hp = 100 + ( Level[ 0 ]*10 );
		
		if ( get_user_health( id ) < hp ) {
			fm_set_user_health( id, hp );
			
			if ( pev( id, pev_max_health ) < float( hp ) ) {
				set_pev( id, pev_max_health, float( hp ) );
			}			
			givenitem = true;
		}
	}
	
	Level[ 1 ] = g_PlayerBadges[ id ][ BADGE_SNIPER ];
	
	if ( Level[ 1 ] ) 	{
		if ( random_num( 1, ( 5 - Level[ 1 ] ) ) == 1 ) {
			new weaponName[ MAX ];
			new weaponID = get_user_weapon( id );
			
			if ( !get_pcvar_num( gPcvar[ FREEAWP ] ) ) {
				if( get_pdata_cbase( id, 368 ) == -1 ) {
					fm_give_item( id, "weapon_scout" );
				}
				else {
					ColorChat( id, TEAM_COLOR, "[ BF2 ]^x03 Nie dostales darmowego^x04 SCOUTA^x03 poniewaz masz juz bron!" );
				}
			}
			else {
				if( get_pdata_cbase( id, 368 ) == -1 ) {
					fm_give_item( id, "weapon_awp" );
				}
				else {
					ColorChat( id, TEAM_COLOR, "[ BF2 ]^x03 Nie dostales darmowego^x04 AWP^x03 poniewaz masz juz bron!" );
				}
			}
			
			if ( weaponID ) {
				get_weaponname( weaponID, weaponName, charsmax( weaponName ) );
				engclient_cmd( id, weaponName );
			}			
			givenitem = true;
		}
	}
	
	Level[ 2 ] = g_PlayerBadges[ id ][ BADGE_EXPLOSIVES ];
	
	if ( Level[ 2 ] ) {
		if ( random_num( 1, ( 5 - Level[ 2 ] ) ) == 1 ) {
			fm_give_item( id, "weapon_hegrenade" );
			givenitem = true;
		}
	}
	
	new CsArmorType:ArmorType;
	new UserArmor = cs_get_user_armor( id, ArmorType );
	
	switch ( numofbadges[ id ] ) {
		case 6 .. 11: {
			if ( UserArmor < 50 ) {
				cs_set_user_armor( id, 50, CS_ARMOR_VESTHELM );
				givenitem = true;
			}
		}		
		case 12 .. 18: {
			if ( UserArmor < 100 ) {
				cs_set_user_armor( id, 100, CS_ARMOR_VESTHELM );
				givenitem = true;
			}
		}		
		case 19 .. 24: {
			if ( UserArmor < 150 ) {
				cs_set_user_armor( id, 150, CS_ARMOR_VESTHELM );
				givenitem = true;
			}
		}		
		case 25 .. 29: {
			if ( UserArmor < 200 ) {
				cs_set_user_armor( id, 200, CS_ARMOR_VESTHELM );
				givenitem = true;
			}
		}		
		case 30 .. 34: {
			if ( UserArmor < 250 ) {
				cs_set_user_armor( id, 250, CS_ARMOR_VESTHELM );
				givenitem = true;
			}
		}
	}
	
	if ( givenitem )
		screen_flash( id, 0, 255, 0, 100 );
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1045\\ f0\\ fs16 \n\\ par }
*/
