#if defined bf2_csx_forward_included
#endinput
#endif
#define bf2_csx_forward_included

public client_death( killer, victim, wpnindex, hitplace, TK ) {
	if ( !get_pcvar_num( gPcvar[ ACTIVE ] ) ) return;
	
	if ( killer == victim )
	{
		check_badges( victim );
		return;
	}
	
	if ( TK && !get_pcvar_num( gPcvar[ FFA ] ) ) return;
	if ( killer < 1 || killer > MAX ) return;
	
	switch ( wpnindex ) {
		case CSW_KNIFE: gPlayerStats[ killer ][ psKnfie ]++;
		case CSW_M249: gPlayerStats[ killer ][ psPara ]++;
		case CSW_AWP, CSW_SCOUT, CSW_G3SG1, CSW_SG550 : gPlayerStats[ killer ][ psSniper ]++;
		case CSW_DEAGLE, CSW_ELITE, CSW_USP, CSW_FIVESEVEN, CSW_P228, CSW_GLOCK18: gPlayerStats[ killer ][ psPistol ]++;
		case CSW_HEGRENADE: gPlayerStats[ killer ][ psGrenade ]++;
		case CSW_XM1014, CSW_M3: gPlayerStats[ killer ][ psShotgun ]++;
		case CSW_MAC10, CSW_UMP45, CSW_MP5NAVY, CSW_TMP, CSW_P90: gPlayerStats[ killer ][ psSmg ]++;
		case CSW_AUG, CSW_GALIL, CSW_FAMAS, CSW_M4A1, CSW_SG552, CSW_AK47: gPlayerStats[ killer ][ psRifle ]++;
	}
	
	gPlayerStats[ killer ][ psTotal ]++;
	
	check_badges( victim );
	
	if ( gMost[ msKillsID ] == killer ) 	{
		gMost[ msKills ]++;
	}
	else if ( gPlayerStats[ killer ][ psTotal ] > gMost[ msKills ] ) {
		gMost[ msKills ] = gPlayerStats[ killer ][ psTotal ];
		gMost[ msKillsID ] = killer;
		
		new name[ 32 ];
		get_user_name( killer, name, charsmax( name ) );
		ColorChat( 0,TEAM_COLOR,"[ BF2 ]^x03 Gratulacje dla^x04 %s^x03 nowego Lidera we fragach z^x04 %i^x03 %s", name, gMost[ msKills ], dkoncowka( gMost[ msKills ], "zabic", "iami", "iem", "iami" ) );
	}
	
	DisplayHUD( killer );
}

public client_damage( attacker, victim, damage, wpnindex, hitplace, TA ) { 
	if ( !get_pcvar_num( gPcvar[ ACTIVE ] ) || !get_pcvar_num( gPcvar[ BADGESACTIVE ] ) || !get_pcvar_num( gPcvar[ BADGESPOWERS ] ) )
		return;
	
	if ( attacker == victim )
		return;
	
	if ( TA && !get_pcvar_num( gPcvar[ FFA ] ) )
		return;
	
	new pistollevel = g_PlayerBadges[ victim ][ BADGE_PISTOL ];
	
	if ( pistollevel > 0 ) {
		if ( random_num( 1, ( 9-pistollevel ) ) == 1 ) {
			g_imobile[ attacker ] = true;
			set_speed( attacker );
			screen_flash( attacker, 255, 0, 0, 100 );
			player_glow( attacker, 255, 0, 0 );
			
			message_begin( MSG_ONE_UNRELIABLE, gMsg[ mScreenShake ], _, attacker );
			write_short( 10 << 12 );
			write_short( 2 << 12 );
			write_short( 5 << 12 );
			message_end( );
			
			set_task( 1.0, "remove_imobile", attacker );
		}
	}
	
	if ( !is_user_alive( attacker ) )
		return;
	
	if ( wpnindex == CSW_KNIFE ) {
		new attackerknifelevel = g_PlayerBadges[ attacker ][ BADGE_KNIFE ];
		
		if ( attackerknifelevel == 0 )
			return;
		
		new hp = get_user_health( attacker );
		new maxHP = 100 + g_PlayerBadges[ attacker ][ BADGE_ASSAULT ]*10;
		
		if ( hp >= maxHP )
			return;
		
		hp += floatround( damage*( attackerknifelevel/5.0 ) );
		
		fm_set_user_health( attacker, min( hp, maxHP ) );
		
		screen_flash( attacker, 0, 0, 255, 100 );
		player_glow( attacker, 0, 0, 255 );
	}
}

public bomb_planted( planter ) {
	if ( get_playersnum( ) < get_pcvar_num( gPcvar[ XPMINI ] ) ) return;
	
	gPlayerStats[ planter ][ psPlants ]++;
	DisplayHUD( planter );
}

public bomb_explode( planter, defuser ) {
	if ( get_playersnum( ) < get_pcvar_num( gPcvar[ XPMINI ] ) ) return;
	
	gPlayerStats[ planter ][ psExplosions ]++;
	gPlayerStats[ planter ][ psTotal ] += 3;
	DisplayHUD( planter );
	ColorChat( planter,TEAM_COLOR,"[ BF2 ]^x03 Dostales^x04 3^x03 Punkty za zniszczenie celu" );
}

public bomb_defused( defuser ) {
	if ( get_playersnum( ) < get_pcvar_num( gPcvar[ XPMINI ] ) ) return;
	
	gPlayerStats[ defuser ][ psDefuses ]++;
	gPlayerStats[ defuser ][ psTotal ] += 3;
	DisplayHUD( defuser );
	ColorChat( defuser,TEAM_COLOR,"[ BF2 ]^x03 Dostales^x04 3^x03 Punkty za rozbrojenie bomby" );
}