#if defined bf2_check_included
  #endinput
#endif
#define bf2_check_included

public check_level( id ) {
	if ( gStatsLoaded[ id ] < 2 ) return;

	new stats[ 8 ], bodyhits[ 8 ], prevrank;
	new ranked = get_user_stats( id, stats, bodyhits );

	prevrank = g_PlayerRank[ id ];
	new newrank, counter;

	for ( counter = 0; counter < MAX_RANKS; counter++ ) {
		if ( gPlayerStats[ id ][ psTotal ] >= floatround( gRankXP[ counter ]*get_pcvar_float( gPcvar[ XPMULTI ] ) ) ) {
			newrank = counter;
		}
		else break;
	}

	g_PlayerRank[ id ] = newrank;

	numofbadges[ id ] = 0;
	for ( counter = 0; counter < MAX_BADGES; counter++ ) {
		numofbadges[ id ] += g_PlayerBadges[ id ][ counter ];
	}

	switch( newrank ) {
		case 7:
			if ( numofbadges[ id ] >= MAX_BADGES )
				g_PlayerRank[ id ] = 17;
		case 8:
			if ( numofbadges[ id ] >= ( MAX_BADGES*2 ) )
				g_PlayerRank[ id ] = 18;
		case 15:
			if ( numofbadges[ id ] == ( MAX_BADGES*3 ) )
				g_PlayerRank[ id ] = 19;
		case 16:
		if ( get_pcvar_num( gPcvar[ BADGESACTIVE ] ) && numofbadges[ id ] != ( MAX_BADGES*4 ) )
			g_PlayerRank[ id ] = 15; 
		else if ( ranked == 2 )
			g_PlayerRank[ id ] = 20; 
		else if ( ranked == 1 )
			g_PlayerRank[ id ] = 21; 
	}
	if ( newplayer[ id ] ) {
		ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Twoja ranga:^x04 %s^x03 zostala zaladowana",gRankName[ g_PlayerRank[ id ] ] );
		client_cmd( id, "spk %s", gPluginSounds[ psPoziom ] );
		ranking_officer_check( id );
		newplayer[ id ] = false;
	}
	else if ( is_ranked_higher( g_PlayerRank[ id ], prevrank ) ) {
		ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Awanasowales do rangi^x04 %s", gRankName[ g_PlayerRank[ id ] ] );
		client_cmd( id, "spk %s", gPluginSounds[ psPoziom ] );
		ranking_officer_check( id );
	}
	else if ( g_PlayerRank[ id ] != prevrank && !is_ranked_higher( g_PlayerRank[ id ], prevrank ) ) {
		ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zostales zdegradowany do rangi^x04 %s", gRankName[ g_PlayerRank[ id ] ] );
	}

	if ( is_ranked_higher( g_PlayerRank[ id ], gHighest[ hsRankServer ] ) ) {
		gHighest[ hsRankServer ] = g_PlayerRank[ id ];
		new name[ MAX ];
		get_user_name( id, name, charsmax( name ) );
		ColorChat( id,TEAM_COLOR,"%s^x03 ma najwyzsza range na serwerze. Jego ranga to^x04 %s", name, gRankName[ gHighest[ hsRankServer ] ] );
	}
}

public badge_check_loop( ) {
	new players[ MAX ], num;
	get_players( players, num, "ah" );

	for ( new counter = 0; counter < num; counter++ ) {
		check_badges( players[ counter ] );
	}
}

public check_badges( id ) {
	if ( !get_pcvar_num( gPcvar[ ACTIVE ] ) || !get_pcvar_num( gPcvar[ BADGESACTIVE ] ) ) return;

	new bool:badgegained;
	new weaponkillsround;
	new weaponhsround;
	new wroundstats[ 8 ], wroundbodyhits[ 8 ], wstats[ 8 ], wbodyhits[ 8 ];
	new currentbadge;
	new kills;

	new roundkills[ 8 ];

	wroundstats[ 0 ] = 0;
	wroundstats[ 2 ] = 0;
	get_user_rstats( id, roundkills, wroundbodyhits );


	if ( roundkills[ 0 ] ) {
		ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Sprawdzanie zdobytych odznak..." );

		currentbadge=g_PlayerBadges[ id ][ BADGE_KNIFE ];
		wroundstats[ 0 ] = 0;
		wroundstats[ 2 ] = 0;
		get_user_wrstats( id,CSW_KNIFE,wroundstats,wroundbodyhits );

		kills=gPlayerStats[ id ][ psKnfie ];

		switch ( currentbadge ) {
			case LEVEL_NONE: {

				if ( wroundstats[ 0 ]>1 ) {
					g_PlayerBadges[ id ][ BADGE_KNIFE ]=LEVEL_BASIC;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_KNIFE ][ LEVEL_BASIC ] );
					badgegained=true;
				}
			}
			case LEVEL_BASIC: {
				if ( kills>49 ) {
					g_PlayerBadges[ id ][ BADGE_KNIFE ]=LEVEL_VETERAN;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_KNIFE ][ LEVEL_VETERAN ] );
					badgegained=true;
				}
			}
			case LEVEL_VETERAN: {
				if ( ( wroundstats[ 0 ]>2 ) && ( wroundstats[ 2 ]>0 ) && ( kills>99 ) ) {
					g_PlayerBadges[ id ][ BADGE_KNIFE ]=LEVEL_EXPERT;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_KNIFE ][ LEVEL_EXPERT ] );
					badgegained=true;
				}
			}
			case LEVEL_EXPERT: {
				if ( ( wroundstats[ 0 ]>4 ) && ( wroundstats[ 2 ]>1 ) && ( kills>199 ) ) {
					g_PlayerBadges[ id ][ BADGE_KNIFE ]=LEVEL_PROFESIONAL;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_KNIFE ][ LEVEL_PROFESIONAL ] );
					badgegained=true;
				}
			}
		}

		currentbadge=g_PlayerBadges[ id ][ BADGE_PISTOL ];
		if ( currentbadge!=LEVEL_BASIC ) {

			weaponkillsround = 0;
			weaponhsround = 0;

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_DEAGLE,wroundstats,wroundbodyhits );
			weaponkillsround=wroundstats[ 0 ];
			weaponhsround=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_ELITE,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_P228,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_FIVESEVEN,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_USP,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_GLOCK18,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];
		}

		kills=gPlayerStats[ id ][ psPistol ];

		switch ( currentbadge ) {
			case LEVEL_NONE: {

				if ( weaponkillsround>2 ) {
					g_PlayerBadges[ id ][ BADGE_PISTOL ]=LEVEL_BASIC;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_PISTOL ][ LEVEL_BASIC ] );
					badgegained=true;
				}
			}
			case LEVEL_BASIC: {
				if ( kills>99 ) {
					g_PlayerBadges[ id ][ BADGE_PISTOL ]=LEVEL_VETERAN;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_PISTOL ][ LEVEL_VETERAN ] );
					badgegained=true;
				}
			}
			case LEVEL_VETERAN: {
				if ( ( weaponkillsround>3 ) && ( weaponhsround>1 ) && ( kills>199 ) ) {
					g_PlayerBadges[ id ][ BADGE_PISTOL ]=LEVEL_EXPERT;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_PISTOL ][ LEVEL_EXPERT ] );
					badgegained=true;
				}
			}
			case LEVEL_EXPERT: {
				if ( ( weaponkillsround>5 ) && ( weaponhsround>2 ) && ( kills>399 ) ) {
					g_PlayerBadges[ id ][ BADGE_PISTOL ]=LEVEL_PROFESIONAL;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_PISTOL ][ LEVEL_PROFESIONAL ] );
					badgegained=true;
				}
			}
		}

		currentbadge=g_PlayerBadges[ id ][ BADGE_ASSAULT ];
		wstats[ 0 ] = 0;
		wstats[ 4 ] = 0;
		wstats[ 5 ] = 0;
		wroundstats[ 0 ] = 0;

		get_user_stats( id,wstats,wbodyhits );

		new acc = floatround( ( float( wstats[ 5 ] )/float( wstats[ 4 ] ) )*100 );
		gPlayerStats[ id ][ psAccuracy ]=acc;

		switch ( currentbadge ) {
			case LEVEL_NONE: {
				if ( roundkills[ 0 ]>3 ) {
					g_PlayerBadges[ id ][ BADGE_ASSAULT ]=LEVEL_BASIC;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_ASSAULT ][ LEVEL_BASIC ] );
					badgegained=true;
				}
			}
			case LEVEL_BASIC: {
				if ( acc>24 ) {
					g_PlayerBadges[ id ][ BADGE_ASSAULT ]=LEVEL_VETERAN;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_ASSAULT ][ LEVEL_VETERAN ] );
					badgegained=true;
				}
			}
			case LEVEL_VETERAN: {
				if ( ( roundkills[ 0 ]>4 ) && ( roundkills[ 2 ]>2 ) && ( gPlayerStats[ id ][ psTotal ]>1999 ) ) {
					g_PlayerBadges[ id ][ BADGE_ASSAULT ]=LEVEL_EXPERT;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_ASSAULT ][ LEVEL_VETERAN ] );
					badgegained=true;
				}
			}
			case LEVEL_EXPERT: {
				if ( ( roundkills[ 0 ]>6 ) && ( roundkills[ 2 ]>4 ) && ( gPlayerStats[ id ][ psTotal ]>3999 ) ) {
					g_PlayerBadges[ id ][ BADGE_ASSAULT ]=LEVEL_PROFESIONAL;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_ASSAULT ][ LEVEL_PROFESIONAL ] );
					badgegained=true;
				}
			}
		}

		currentbadge=g_PlayerBadges[ id ][ BADGE_SNIPER ];
		if ( currentbadge!=LEVEL_BASIC ) {
			weaponkillsround = 0;
			weaponhsround = 0;

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_AWP,wroundstats,wroundbodyhits );
			weaponkillsround=wroundstats[ 0 ];
			weaponhsround=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_SCOUT,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_G3SG1,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_SG550,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];
		}

		kills=gPlayerStats[ id ][ psSniper ];

		switch ( currentbadge ) {
			case LEVEL_NONE: {
				if ( weaponkillsround>2 ) {
					g_PlayerBadges[ id ][ BADGE_SNIPER ]=LEVEL_BASIC;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SNIPER ][ LEVEL_BASIC ] );
					badgegained=true;
				}
			}
			case LEVEL_BASIC: {
				if ( kills>99 ) {
					g_PlayerBadges[ id ][ BADGE_SNIPER ]=LEVEL_VETERAN;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SNIPER ][ LEVEL_VETERAN ] );
					badgegained=true;
				}
			}
			case LEVEL_VETERAN: {
				if ( ( weaponkillsround>3 ) && ( weaponhsround>0 ) && ( kills>199 ) ) {
					g_PlayerBadges[ id ][ BADGE_SNIPER ]=LEVEL_EXPERT;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SNIPER ][ LEVEL_EXPERT ] );
					badgegained=true;
				}
			}
			case LEVEL_EXPERT: {
				if ( ( weaponkillsround>5 ) && ( weaponhsround>2 ) && ( kills>399 ) ) {
					g_PlayerBadges[ id ][ BADGE_SNIPER ]=LEVEL_PROFESIONAL;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SNIPER ][ LEVEL_PROFESIONAL ] );
					badgegained=true;
				}
			}
		}

		currentbadge=g_PlayerBadges[ id ][ BADGE_SUPPORT ];
		wroundstats[ 0 ] = 0;
		wroundstats[ 2 ] = 0;
		get_user_wrstats( id,CSW_M249,wroundstats,wroundbodyhits );
		kills=gPlayerStats[ id ][ psPara ];
		switch ( currentbadge ) {
			case LEVEL_NONE: {
				if ( wroundstats[ 0 ]>1 ) {
					g_PlayerBadges[ id ][ BADGE_SUPPORT ]=LEVEL_BASIC;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SUPPORT ][ LEVEL_BASIC ] );
					badgegained=true;
				}
			}
			case LEVEL_BASIC: {
				if ( kills>99 ) {
					g_PlayerBadges[ id ][ BADGE_SUPPORT ]=LEVEL_VETERAN;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SUPPORT ][ LEVEL_VETERAN ] );
					badgegained=true;
				}
			}
			case LEVEL_VETERAN: {
				if ( ( wroundstats[ 0 ]>3 ) && ( wroundstats[ 2 ]>0 ) && ( kills>199 ) ) {
					g_PlayerBadges[ id ][ BADGE_SUPPORT ]=LEVEL_EXPERT;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SUPPORT ][ LEVEL_EXPERT ] );
					badgegained=true;
				}
			}
			case LEVEL_EXPERT: {
				if ( ( wroundstats[ 0 ]>5 ) && ( wroundstats[ 2 ]>2 ) && ( kills>399 ) ) {
					g_PlayerBadges[ id ][ BADGE_SUPPORT ]=LEVEL_PROFESIONAL;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SUPPORT ][ LEVEL_PROFESIONAL ] );
					badgegained=true;
				}
			}
		}

		currentbadge=g_PlayerBadges[ id ][ BADGE_EXPLOSIVES ];
		switch ( currentbadge ) {
			case LEVEL_NONE: {
				if ( gPlayerStats[ id ][ psGrenade ]>29 ) {
					g_PlayerBadges[ id ][ BADGE_EXPLOSIVES ]=LEVEL_BASIC;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_EXPLOSIVES ][ LEVEL_BASIC ] );
					badgegained=true;
				}
			}
			case LEVEL_BASIC: {
				if ( gPlayerStats[ id ][ psGrenade ]>99 ) {
					g_PlayerBadges[ id ][ BADGE_EXPLOSIVES ]=LEVEL_VETERAN;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_EXPLOSIVES ][ LEVEL_VETERAN ] );
					badgegained=true;
				}
			}
			case LEVEL_VETERAN: {
				if ( gPlayerStats[ id ][ psGrenade ]>199 ) {
					g_PlayerBadges[ id ][ BADGE_EXPLOSIVES ]=LEVEL_EXPERT;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_EXPLOSIVES ][ LEVEL_EXPERT ] );
					badgegained=true;
				}
			}
			case LEVEL_EXPERT: {
				if ( gPlayerStats[ id ][ psGrenade ]>499 ) {
					g_PlayerBadges[ id ][ BADGE_EXPLOSIVES ]=LEVEL_PROFESIONAL;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_EXPLOSIVES ][ LEVEL_PROFESIONAL ] );
					badgegained=true;
				}
			}
		}

		currentbadge=g_PlayerBadges[ id ][ BADGE_SHOTGUN ];
		if ( currentbadge!=LEVEL_BASIC ) {
			weaponkillsround = 0;
			weaponhsround = 0;

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_XM1014,wroundstats,wroundbodyhits );
			weaponkillsround=wroundstats[ 0 ];
			weaponhsround=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_M3,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];
		}

		kills=gPlayerStats[ id ][ psShotgun ];

		switch ( currentbadge ) {
			case LEVEL_NONE: {
				if ( weaponkillsround>2 ) {
					g_PlayerBadges[ id ][ BADGE_SHOTGUN ]=LEVEL_BASIC;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SHOTGUN ][ LEVEL_BASIC ] );
					badgegained=true;
				}
			}
			case LEVEL_BASIC: {
				if ( kills>99 ) {
					g_PlayerBadges[ id ][ BADGE_SHOTGUN ]=LEVEL_VETERAN;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SHOTGUN ][ LEVEL_VETERAN ] );
					badgegained=true;
				}
			}
			case LEVEL_VETERAN: {
				if ( ( weaponkillsround>3 ) && ( weaponhsround>0 ) && ( kills>199 ) ) {
					g_PlayerBadges[ id ][ BADGE_SHOTGUN ]=LEVEL_EXPERT;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SHOTGUN ][ LEVEL_EXPERT ] );
					badgegained=true;
				}
			}
			case LEVEL_EXPERT: {
				if ( ( weaponkillsround>5 ) && ( weaponhsround>2 ) && ( kills>499 ) ) {
					g_PlayerBadges[ id ][ BADGE_SHOTGUN ]=LEVEL_PROFESIONAL;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SHOTGUN ][ LEVEL_PROFESIONAL ] );
					badgegained=true;
				}
			}
		}

		currentbadge=g_PlayerBadges[ id ][ BADGE_SMG ];
		if ( currentbadge!=LEVEL_BASIC ) {
			weaponkillsround = 0;
			weaponhsround = 0;

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_MAC10,wroundstats,wroundbodyhits );
			weaponkillsround=wroundstats[ 0 ];
			weaponhsround=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_UMP45,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_MP5NAVY,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_TMP,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];

			wroundstats[ 0 ] = 0;
			wroundstats[ 2 ] = 0;
			get_user_wrstats( id,CSW_P90,wroundstats,wroundbodyhits );
			weaponkillsround+=wroundstats[ 0 ];
			weaponhsround+=wroundstats[ 2 ];
		}

		kills=gPlayerStats[ id ][ psSmg ];

		switch ( currentbadge ) {
			case LEVEL_NONE: {
				if ( weaponkillsround>2 ) {
					g_PlayerBadges[ id ][ BADGE_SMG ]=LEVEL_BASIC;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SMG ][ LEVEL_BASIC ] );
					badgegained=true;
				}
			}
			case LEVEL_BASIC: {
				if ( kills>99 ) {
					g_PlayerBadges[ id ][ BADGE_SMG ]=LEVEL_VETERAN;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SMG ][ LEVEL_VETERAN ] );
					badgegained=true;
				}
			}
			case LEVEL_VETERAN: {
				if ( ( weaponkillsround>3 ) && ( weaponhsround>0 ) && ( kills>199 ) ) {
					g_PlayerBadges[ id ][ BADGE_SMG ]=LEVEL_EXPERT;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SMG ][ LEVEL_EXPERT ] );
					badgegained=true;
				}
			}
			case LEVEL_EXPERT: {
				if ( ( weaponkillsround>5 ) && ( weaponhsround>2 ) && ( kills>449 ) ) {
					g_PlayerBadges[ id ][ BADGE_SMG ]=LEVEL_PROFESIONAL;
					ColorChat( id,TEAM_COLOR,"[ BF2 ]^x03 Zdobyles odznake:^x04 %s",gBadgeName[ BADGE_SMG ][ LEVEL_PROFESIONAL ] );
					badgegained=true;
				}
			}
		}

		if ( badgegained ) {
			client_cmd( id, "spk %s", gPluginSounds[ psOdznaka ] );
			save_badges( id );
		}
	}
}

bool:is_ranked_higher( rank1, rank2 ) {
	return ( gRankOrder[ rank1 ] > gRankOrder[ rank2 ] ) ? true : false;
}

public ranking_officer_check( id ) {
	new idRank = g_PlayerRank[ id ];

	if ( !is_ranked_higher( idRank,gHighest[ hsRank ] ) ) return;

	gHighest[ hsRank ] = idRank;
	gHighest[ hsRankID ] = id;
	new name[ MAX ];
	get_user_name( id, name, charsmax( name ) );
	ColorChat( 0,TEAM_COLOR,"%s^x03 obecnie jest Liderem rankingu oficerskiego z ranga^x04 %s", name, gRankName[ idRank ] );
}

public ranking_officer_disconnect( ) {
	new players[ MAX ], num, player;
	get_players( players, num, "h" );
	
	gHighest[ hsRank ] = 0;
	gHighest[ hsRankID ] = 0;
	
	for ( new i = 0; i < num; i++ ) 
		player = players[ i ];
	if ( is_ranked_higher( g_PlayerRank[ player ], gHighest[ hsRank ] ) ) {
		gHighest[ hsRank ] = g_PlayerRank[ player ];
		gHighest[ hsRankID ] = player;
	}
	
	if ( !gHighest[ hsRank ] )
		return;
	
	new name[ MAX ];
	get_user_name( gHighest[ hsRankID ], name, charsmax( name ) );
	for ( new i = 0; i < num; i++ )
		ColorChat( 0,TEAM_COLOR,"%s^x03 obecnie jest Liderem rankingu oficerskiego z ranga^x04 %s", name, gRankName[ gHighest[ hsRank ] ] );
}

public award_check( ) {
	new players[ MAX ], num;
	get_players( players, num, "h" );

	new tempfrags, id;
	new swapfrags, swapid;
	new starfrags[ 3 ];
	new starid[ 3 ];

	for ( new i = 0; i < num; i++ ) {
		id = players[ i ];
		tempfrags = get_user_frags( id );
		if ( tempfrags > starfrags[ 0 ] ) {
			starfrags[ 0 ] = tempfrags;
			starid[ 0 ] = id;
			if ( tempfrags > starfrags[ 1 ] ) {
				swapfrags = starfrags[ 1 ];
				swapid = starid[ 1 ];
				starfrags[ 1 ] = tempfrags;
				starid[ 1 ] = id;
				starfrags[ 0 ] = swapfrags;
				starid[ 0 ] = swapid;

				if ( tempfrags > starfrags[ 2 ] ) {
					swapfrags = starfrags[ 2 ];
					swapid = starid[ 2 ];
					starfrags[ 2 ] = tempfrags;
					starid[ 2 ] = id;
					starfrags[ 1 ] = swapfrags;
					starid[ 1 ] = swapid;
				}
			}
		}
	}

	new winner = starid[ 2 ];
	new bool:newleader = false;

	if ( !winner )
		return;

	gPlayerStats[ starid[ 0 ] ][ psBronze ]++;
	gPlayerStats[ starid[ 1 ] ][ psSilver ]++;
	gPlayerStats[ winner ][ psGold ]++;

	new name[ MAX ];
	get_user_name( starid[ 2 ], name, charsmax( name ) );

	if ( gPlayerStats[ winner ][ psGold ] > gMost[ msWins ] ) {
		gMost[ msWins ] = gPlayerStats[ winner ][ psGold ];
		newleader = true;
		formatex( gMost[ msWinsName ], charsmax( gMost[ msWinsName ] ), name );
	}

	ColorChat( 0,TEAM_COLOR,"[ BF2 ]^x03 Gratulacje dla Zwyciezcow!" );

	get_user_name( starid[ 0 ], name, charsmax( name ) );
	ColorChat( 0,TEAM_COLOR,"[ BF2 ] %s^x03 - Brazowy Medal -^x04 %i^x03 Zabojstw", name, starfrags[ 0 ] );

	get_user_name( starid[ 1 ], name, charsmax( name ) );
	ColorChat( 0,TEAM_COLOR,"[ BF2 ] %s^x03 - Srebrny Medal -^x04 %i^x03 Zabojstw", name, starfrags[ 1 ] );

	get_user_name( starid[ 2 ], name, charsmax( name ) );

	if ( newleader )
		ColorChat( 0,TEAM_COLOR,"[ BF2 ] %s^x03 - Zloty Medal -^x04 %i^x03 Zabojstw - Wygrywa", name, starfrags[ 2 ] );
	else
		ColorChat( 0,TEAM_COLOR,"[ BF2 ] %s^x03 - Zloty Medal -^x04 %i^x03 Zabojstw", name, starfrags[ 2 ] );
}