#if defined bf2_forward_included
#endinput
#endif
#define bf2_forward_included

public plugin_precache( ) {
	for( new i = 0; i < sizeof( gPluginSounds ); i++ ) {
		precache_sound( gPluginSounds[ PluginSounds: i ] );
	}
	
	new bool:error = false;
	new spriteFile[ 26 ];
	
	for ( new counter; counter < MAX_RANKS+5; counter++ ) {
		spriteFile[ 0 ] = '^0';
		formatex( spriteFile, charsmax( spriteFile ), "sprites/bf2rankspr/%d.spr", counter );
		
		if ( !file_exists( spriteFile ) ) {
			log_amx( "[ ERROR ] Brakujacy plik sprite: ^"%s^"", spriteFile );
			error = true;
		}
		else {
			gSprite[ counter ] = precache_model( spriteFile );
		}
	}
	
	if ( error ) {
		set_fail_state( "Brakuje plikow sprite , zaladowanie pluginu niemozliwe! Sprawdz Logi AMXX" );
	}
}

public plugin_cfg( ) {
	get_configsdir( gConfig[ cDir ], charsmax( gConfig[ cDir ] ) );
	
	SQLenabled = false;
	sql_init( );
	
	set_cvar_string( "bf2_version", gPluginInfo[ piWersja ] );
	
	if ( gPlayerName != -1 && get_xvar_num( gPlayerName ) ) {
		log_amx( "miscstats.amxx ^"PlayerName^" opcja jest wlaczona, BF2 aim info nie bdzie pokazywane." );
	}
}

public client_putinserver( id ) {
	g_imobile[ id ] = false;
	newplayer[ id ] = true;
	gStatsLoaded[ id ] = 0;

	get_save_key( id );

	if ( !get_pcvar_num( gPcvar[ WYMUS ] ) ) {
		client_cmd( id,"hud_centerid 0" );
		client_cmd( id,"cl_shadows 0" ); 
		set_task( 20.0, "Announcement", id );
	}
	else {
		set_task( 20.0, "Announcement", id );
	}
}

public client_disconnect( id ) {
	save_badges( id );

	if ( id == gHighest[ hsRankID ] ) {
		set_task( 2.0, "ranking_officer_disconnect" );
	}

	clear_stat_globals( id );
	gStatsLoaded[ id ] = 0;
}

public plugin_end( ) {
	server_save( );

	if ( SQLenabled ) {
		SQL_FreeHandle( g_SqlTuple );
		SQL_FreeHandle( g_SqlTuple2 );
	}
}