#if defined bf2_ham_included
  #endinput
#endif
#define bf2_ham_included

public Ham_Spawn_Post( id ) {
	if ( !get_pcvar_num( gPcvar[ ACTIVE ] ) )
		return HAM_IGNORED;

	if ( !is_user_alive( id ) )
		return HAM_IGNORED;

	if ( cs_get_user_team( id ) == CS_TEAM_UNASSIGNED )
		return HAM_IGNORED;

	check_level( id );

	set_task( 0.1, "DisplayHUD", id);

	if ( !get_pcvar_num( gPcvar[ BADGESACTIVE ]) || !get_pcvar_num( gPcvar[ BADGESPOWERS ] ) )
		return HAM_IGNORED;

	set_invis( id );

	set_task( 0.5, "give_userweapon", id );
	set_task( 0.6, "set_speed", id );

	return HAM_IGNORED;
}

public Ham_TakeDamage_Pre( victim, inflictor, attacker, Float:damage, damagebits ) {
	if ( !get_pcvar_num( gPcvar[ BADGESACTIVE ] ) || !get_pcvar_num( gPcvar[ BADGESPOWERS ] ) )
		return HAM_IGNORED;
	if ( !is_user_connected( attacker ) || !is_user_alive( victim ) )
		return HAM_IGNORED;	
	if ( victim != attacker && cs_get_user_team( victim ) == cs_get_user_team( attacker ) && !get_pcvar_num( gPcvar[ FFA ] ) )
		return HAM_IGNORED;

	new Badge[ 2 ];
	Badge[ 0 ] = g_PlayerBadges[ attacker ][ BADGE_EXPLOSIVES ];
	Badge[ 1 ] = g_PlayerBadges[ attacker ][ BADGE_SUPPORT ];
	
	switch(damagebits){
		case DMG_GRENADE: {
			if( Badge[ 0 ] )
				damage += damage * Badge[ 0 ] * 0.2;
		}
		case DMG_BULLET: {
			if ( Badge[ 1 ] && inflictor == attacker && get_user_weapon(attacker) == CSW_M249 )
				damage += Badge[ 1 ] * 2.0;
		}
	}

	SetHamParamFloat( 4, damage );

	return HAM_HANDLED;
}