#if defined bf2_save_included
  #endinput
#endif
#define bf2_save_included

public get_save_key( id ) {
	if ( !is_dedicated_server( ) && id == 1 ) {
		copy( gSaveKey[ id ], charsmax( gSaveKey[ ] ), "loopback" );
	}
	else {
		switch( get_pcvar_num( gPcvar[ SAVETYPE ] ) ) {
			case 0: get_user_name( id, gSaveKey[ id ], charsmax( gSaveKey[ ] ) );
			case 1: { 
				if ( get_pcvar_num( gPcvar[ SVLAN ] ) ) {
					get_user_ip( id, gSaveKey[ id ], charsmax( gSaveKey[ ] ), 1 );
				}
				else {
					get_user_authid( id, gSaveKey[ id ], charsmax( gSaveKey[ ] ) );
					if ( equal( gSaveKey[ id ][ 9 ], "LAN" ) ) {
						get_user_ip( id, gSaveKey[ id ], charsmax( gSaveKey[ ] ), 1 );
					}
				}
				if ( equal( gSaveKey[ id ][ 9 ], "PENDING" ) || gSaveKey[ id ][ 0 ] == '^0' ) {
					set_task( 5.0, "get_save_key", id );
					return;
				}
			}
			case 2: get_user_ip( id, gSaveKey[ id ], charsmax( gSaveKey[ ] ), 1 );
		}
	}

	load_badges( id );
}

public load_badges( id ) {
	if( SQLenabled ) {
		sql_load( id );
	}
	check_level( id );
}

public server_load( ) {
	if( SQLenabled ) {
		sql_server_load( );
	}
}

public server_save( ) {
	if ( SQLenabled ) {
		sql_server_save( );
	}
}

public save_badges( id ) {
	if ( SQLenabled ) {
		sql_save( id );
	}
}

public clear_stat_globals( id ) {
	g_PlayerRank[ id ] = 0;
	g_PlayerBadges[ id ][ BADGE_KNIFE ] = 0;
	g_PlayerBadges[ id ][ BADGE_PISTOL ] = 0;
	g_PlayerBadges[ id ][ BADGE_ASSAULT ] = 0;
	g_PlayerBadges[ id ][ BADGE_SNIPER ] = 0;
	g_PlayerBadges[ id ][ BADGE_SUPPORT ] = 0;
	g_PlayerBadges[ id ][ BADGE_EXPLOSIVES ] = 0;
	g_PlayerBadges[ id ][ BADGE_SHOTGUN ] = 0;
	g_PlayerBadges[ id ][ BADGE_SMG ] = 0;
	gPlayerStats[ id ][ psKnfie ] = 0;
	gPlayerStats[ id ][ psPistol ] = 0;
	gPlayerStats[ id ][ psSniper ] = 0;
	gPlayerStats[ id ][ psPara ] = 0;
	gPlayerStats[ id ][ psTotal ] = 0;
	gPlayerStats[ id ][ psDefuses ] = 0;
	gPlayerStats[ id ][ psPlants ] = 0;
	gPlayerStats[ id ][ psExplosions ] = 0;
	gPlayerStats[ id ][ psAccuracy ] = 0;
	gPlayerStats[ id ][ psSmg ] = 0;
	gPlayerStats[ id ][ psShotgun ] = 0;
	gPlayerStats[ id ][ psRifle ] = 0;
	gPlayerStats[ id ][ psGrenade ] = 0;

	gPlayerStats[ id ][ psBronze ] = 0;
	gPlayerStats[ id ][ psSilver ] = 0;
	gPlayerStats[ id ][ psGold ] = 0;
}